Loading...
Searching...
No Matches
seqan3::std_byte_printer< std::byte > Struct Reference
Core » Debug Stream

A std::byte can be printed by printing its value as integer. More...

`#include <seqan3/core/debug_stream/byte.hpp>`

Inheritance diagram for seqan3::std_byte_printer< std::byte >:
[legend]

## Public Member Functions

template<typename stream_t>
constexpr void | operator() (stream_t &stream, std::byte const arg) const
| Prints the byte as uint8_t value.

## Detailed Description

A std::byte can be printed by printing its value as integer.

## Member Function Documentation

## operator()()

template<typename stream_t>

void seqan3::std_byte_printer< std::byte >::operator() | ( | stream_t & | stream,
|  | std::byte const | arg ) const

inline constexpr

Prints the byte as uint8_t value.

Template Parameters

  stream_t | The type of the stream.

Parameters

  [in,out] | stream | The output stream.
  [in] | arg | The byte argument to print.

The documentation for this struct was generated from the following file:

- byte.hpp

Hide me